@echo off
setlocal
Rem ------------------------------------------------------------------------------------------------
Rem PersistentData破損チェックバッチ
Rem 
Rem Copyright (C) 2019 SAY Technologies, Inc. All rights reserved.
Rem 最終修正日：2018/10/18
Rem 第1引数：SRS6\bin
Rem 第2引数：$(InstanceDir)
Rem 第3引数：$(PersistentDataDir)
Rem 第4引数：$(DetectedDataDir)
Rem 第5引数：ファイル名
Rem ------------------------------------------------------------------------------------------------

SET SRSBIN=%~1
SET INSTANCE_PATH=%~2
SET PERSISTENTDATA_PATH=%~3
SET DETECTEDDATA_PATH=%~4
SET OUTPUTFILE=%~5

REM -- SRS6\binフォルダの確認
if not exist "%SRSBIN%" (
	ECHO 「%SRSBIN%」が存在しません。
	goto ERR_ARG
)

REM --- DetectedDataが存在する場合削除 ---
if not exist "%DETECTEDDATA_PATH%\%GRPID%.txt" goto EXEC_PERSISTENTDATA_CHECK
del /Q "%DETECTEDDATA_PATH%\%GRPID%.txt"

REM --- PersistentDataチェック処理 ---
:EXEC_PERSISTENTDATA_CHECK
"%SRSBIN%\PersistentDataRepair.exe" -c "check" -ins "%INSTANCE_PATH%" -per "%PERSISTENTDATA_PATH%" -detc "%DETECTEDDATA_PATH%\%OUTPUTFILE%"
set ReturnCode=%ErrorLevel%
if not %ReturnCode% GEQ 0 goto ERR_ARG

echo %ReturnCode%
endlocal
@echo on
exit /b 0

:ERR_ARG
ECHO "エラーが発生しました。[%ReturnCode%]"
endlocal
@echo on
exit /b 1

